# encoding: utf-8

u'''Black Lotus Garnish — Tests of the setup of this package.'''

from blacklotus.garnish.testing import BLACK_LOTUS_GARNISH_INTEGRATION_TESTING
from Products.CMFCore.utils import getToolByName
import unittest2 as unittest

class SetupTest(unittest.TestCase):
    layer = BLACK_LOTUS_GARNISH_INTEGRATION_TESTING
    def setUp(self):
        super(SetupTest, self).setUp()
        self.portal = self.layer['portal']
    def testDependencies(self):
        u'''Make sure our dependent packages get installed'''
        try:
            import z3c.jbot 
            assert z3c.jbot # silence lint
        except ImportError:
            self.fail('z3c.jbot not available, should be')
        qi = getToolByName(self.portal, 'portal_quickinstaller')
        self.assertTrue(qi.isProductInstalled('plonetheme.blacklotus'))
    def testThemeActivation(self):
        u'''Ensure "Black Lotus Garnish" is active'''
        skins = getToolByName(self.portal, 'portal_skins')
        self.assertEquals('Black Lotus Garnish', skins.getDefaultSkin())
    def testLogo(self):
        u'''Make sure we have the correct logo'''
        # z3c.jbot-overriden resources don't appear under plone.app.testing for some reason, so skip this test
        return
        # fn = 'plonetheme.blacklotus.skins.blacklotus_images.logo.png'
        # expected = os.path.getsize(pkg_resources.resource_filename('blacklotus.garnish.browser', 'images/' + fn))
        # logo = self.portal.unrestrictedTraverse('logo.png')
        # self.assertEquals(expected, logo.get_size(), 'Logo not overridden')
    def testStylesheet(self):
        u'''Check that our garnish stylesheet is there'''
        cssRegistry = getToolByName(self.portal, 'portal_css')
        css = cssRegistry.getResource('++resource++blacklotus.garnish.styles/garnish.css')
        self.assertTrue(css is not None, 'garnish.css is missing')

def test_suite():
    return unittest.defaultTestLoader.loadTestsFromName(__name__)

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')

